<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<form
  [formGroup]="generalForm"
  class="ls-form"
  autocomplete="on">

  <div class="form-group required">
    <label
      [innerText]="messages.SHORT_NAME"
      for="shortNameInput">
    </label>
    <input
      id="shortNameInput"
      class="form-control"
      type="text"
      formControlName="shortNameControl"
      [(ngModel)]="desk.shortName"
      autofocus="true"
      required>
  </div>

  <div class="form-group required">
    <label
      [innerText]="commonMessages.TITLE"
      for="titleInput">
    </label>
    <input
      id="titleInput"
      class="form-control"
      type="text"
      formControlName="nameControl"
      [(ngModel)]="desk.name"
      required>
  </div>

  <div class="form-group">
    <label
      [innerText]="messages.DESCRIPTION"
      for="descriptionInput">
    </label>
    <textarea
      id="descriptionInput"
      class="form-control description-text-box"
      type="text"
      formControlName="descriptionControl"
      [(ngModel)]="desk.description"
      maxlength="{{descriptionMaxLength}}">
    </textarea>
    <span [innerText]="getNbCharLeftMessage()" class="information description-info"></span>
  </div>

  <div class="form-group">
    <label
      [innerText]="messages.SUPERIOR"
      for="validators">
    </label>

    <app-desk-search-input
      id="validators"
      [desks]="this.desk.parentDesk ? [this.desk.parentDesk] : []"
      [multiple]="false"
      [clearable]="true"
      (desksChange)="onDeskSelectionChanged($event)"
      [genericValidatorsAvailable]="false"
      [retrieveDeskFunction]="requestDesksFn">
    </app-desk-search-input>
  </div>

</form>
